## schooltool.gradebook 2.0.0

=== Makefile ===
#!/usr/bin/make

PACKAGE=schooltool.gradebook
LOCALES=src/schooltool/gradebook/locales
TRANSLATIONS_ZCML=schooltool/gradebook/translations.zcml

DIST=/home/ftp/pub/schooltool/flourish
PYTHON=python

INSTANCE_TYPE=schooltool
BUILDOUT_FLAGS=

.PHONY: all
all: build

.PHONY: build
build: .installed.cfg

python:
	rm -rf python
	virtualenv --no-site-packages -p $(PYTHON) python

.PHONY: bootstrap
bootstrap bin/buildout: python
	python/bin/python bootstrap.py

.PHONY: buildout
buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg setup.py
	bin/buildout $(BUILDOUT_FLAGS)

.PHONY: update
update:
	bzr up
	$(MAKE) buildout BUILDOUT_FLAGS=-n

instance: | build
	bin/make-schooltool-instance instance instance_type=$(INSTANCE_TYPE)

.PHONY: run
run: build instance
	bin/start-schooltool-instance instance

.PHONY: tags
tags: build
	bin/tags

.PHONY: clean
clean:
	rm -rf python
	rm -rf bin develop-eggs parts .installed.cfg
	rm -rf build
	rm -f ID TAGS tags
	rm -rf coverage ftest-coverage
	find . -name '*.py[co]' -delete
	find . -name '*.mo' -delete
	find . -name 'LC_MESSAGES' -exec rmdir -p --ignore-fail-on-non-empty {} +

.PHONY: realclean
realclean:
	rm -rf eggs
	rm -rf dist
	rm -rf instance
	$(MAKE) clean

# Tests

.PHONY: test
test: build
	bin/test -u

.PHONY: ftest
ftest: build
	bin/test -f

.PHONY: testall
testall: build
	bin/test --at-level 2

# Coverage

.PHONY: coverage
coverage: build
	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
	rm -rf coverage
	bin/test --at-level 2 -u --coverage=coverage
	mv parts/test/coverage .

.PHONY: coverage-reports-html
coverage-reports-html coverage/reports: coverage
	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
	rm -rf coverage/reports
	mkdir coverage/reports
	bin/coverage coverage coverage/reports
	ln -s $(PACKAGE).html coverage/reports/index.html

.PHONY: ftest-coverage
ftest-coverage: build
	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
	rm -rf ftest-coverage
	bin/test --at-level 2 -f --coverage=ftest-coverage
	mv parts/test/ftest-coverage .

.PHONY: ftest-coverage-reports-html
ftest-coverage-reports-html ftest-coverage/reports: ftest-coverage
	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
	rm -rf ftest-coverage/reports
	mkdir ftest-coverage/reports
	bin/coverage ftest-coverage ftest-coverage/reports
	ln -s $(PACKAGE).html ftest-coverage/reports/index.html

# Translations

.PHONY: extract-translations
extract-translations: build
	bin/i18nextract --egg $(PACKAGE) \
	                --domain $(PACKAGE) \
	                --zcml $(TRANSLATIONS_ZCML) \
	                --output-file $(LOCALES)/$(PACKAGE).pot

.PHONY: compile-translations
compile-translations:
	for f in $(LOCALES)/*.po; do \
	    mkdir -p $${f%.po}/LC_MESSAGES; \
	    msgfmt -o $${f%.po}/LC_MESSAGES/$(PACKAGE).mo $$f;\
	done

.PHONY: update-translations
update-translations:
	for f in $(LOCALES)/*.po; do \
	    msgmerge -qUN $$f $(LOCALES)/$(PACKAGE).pot ;\
	done
	$(MAKE) compile-translations

# Release

.PHONY: release
release: compile-translations
	grep -qv 'dev' version.txt.in || echo -n `cat version.txt.in`-r`bzr revno` > version.txt
	$(PYTHON) setup.py sdist
	rm -f version.txt

.PHONY: move-release
move-release: upload
	rm -v dist/$(PACKAGE)-*dev-r*.tar.gz

.PHONY: upload
upload:
	@VERSION=`cat version.txt.in` ;\
	DIST=$(DIST) ;\
	grep -qv 'dev' version.txt.in || VERSION=`cat version.txt.in`-r`bzr revno` ;\
	grep -qv 'dev' version.txt.in || DIST=$(DIST)/dev ;\
	if [ -w $${DIST} ] ; then \
	    echo cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	    cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	else \
	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
	fi

# Helpers

.PHONY: ubuntu-environment
ubuntu-environment:
	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
	    python-all-dev python-virtualenv \
	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev

## schooltool.gradebook 0.9.0

=== debian/changelog ===
schooltool.gradebook (0.9.0-0ubuntu2) oneiric; urgency=low

  * dh_python2 transition
  * changed to source format 3.0 (quilt).
  * added debian/pydist-overrides to assist dhp2 calculate Depends.
  * debian/control
    - changed python-all to (>= 2.6.6-3~).
    - removed B-D on python-central.
    - changed XS-P-V: all  to X-P-V: >= 2.6.
    - removed XB-P-V, no longer needed.
  * debian/rules
    - changed "--with python-central" to "--with python2".
    - changed rm statement to dh_install exclude.

 -- Charlie Smotherman <cjsmo@ubuntu.com>  Sat, 25 Jun 2011 21:51:54 -0500

schooltool.gradebook (0.9.0-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Make dependency on schooltool.lyceum.journal optional (LP: #768885).

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 25 Apr 2011 11:28:38 +0300

schooltool.gradebook (0.9.0~b2-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Register reports using the new report package in schooltool (LP: #429588)
    - Remove width restriction on names in layout report card view (LP: #643700)
    - Fix linked column forms to use activity categories properly (LP: #703078)
    - Fix the Detailed Student Report to show data only from the selected term
    - Save due date in New Activity form (LP: #700520)
    - Make gradebook.js static thus greatly improving Gradebook performance.
    - Update translations.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 18 Apr 2011 19:50:10 +0300

schooltool.gradebook (0.9.0~a1-0ubuntu2) natty; urgency=low

  * Upload to Ubuntu (LP: #724352).

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 24 Feb 2011 16:53:53 +0200

schooltool.gradebook (0.9.0~a1-0ubuntu1) natty; urgency=low

  * New upstream alpha release.
  * debian/copyright: Add section about bootstrap.py, update FSF address.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 23 Feb 2011 18:30:56 +0200

schooltool.gradebook (0.8.1-1) maverick; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 04 Oct 2010 22:30:35 +0300

schooltool.gradebook (0.8.0-1) maverick; urgency=low

  * New upstream release.
  * Remove gettext from Build-Depends, tarball includes compiled translations.
  * Convert to debhelper 7 and the pydeb dh7 extension.
  * debian/copyright: convert to dep5 format.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 16 Sep 2010 18:19:41 +0300

schooltool.gradebook (0.7.2-1) lucid; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 16 Sep 2010 18:17:17 +0300

schooltool.gradebook (0.7.1-1) lucid; urgency=low

  * New upstream release.
    - Fixed accessing gradebook if last visited section was deleted (LP: #591872)
    - Fixed all averages displayed as "A" (LP: #596311)
    - Fix a crash in manage Activity categories (LP: #585805)

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 25 Jun 2010 01:22:46 +0300

schooltool.gradebook (0.7.0-1) lucid; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 21 May 2010 18:12:57 +0300

schooltool.gradebook (0.6.2-1) lucid; urgency=low

  * New upstream release.
    - See https://launchpad.net/schooltool.gradebook/+milestone/0.6.2 for
      details
  * Do not include *.po translation files in the package.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 29 Apr 2010 03:44:48 +0300

schooltool.gradebook (0.6.1-1) karmic; urgency=low

  * New upstream release.
    - See https://launchpad.net/schooltool.gradebook/+milestone/0.6.1 for
      details
  * Switch to using van.pydeb
  * Move test dependencies to Suggests
  * Fix debian/tests to work on python2.6

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 24 Feb 2010 19:28:40 +0200

schooltool.gradebook (0.6.0-1) karmic; urgency=low

  * New upstream release
    - Port to zope versions available in karmic (LP: #498803)

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 06 Jan 2010 19:15:28 +0200

python-schooltool.gradebook (0.5.2-1) karmic; urgency=low

  * New upstream release
    - Added ability to hide worksheets (LP: #427494)
    - Skip worksheets and activities that have no score for a student
      (LP: #427489)
    - Fix to allow changing activity order (LP: #494262)
    - Updated translations

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 30 Dec 2009 16:09:32 +0200

python-schooltool.gradebook (0.5.1-1) karmic; urgency=low

  * New upstream release
    - Fix term selection in gradebook overview and student's views (LP: #478666)
    - Traceback on gradebook averages when a student has no scores (LP: #479305)

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 11 Nov 2009 23:55:15 +0200

python-schooltool.gradebook (0.5.0-1) karmic; urgency=low

  * New upstream feature release
    - See https://launchpad.net/schooltool.gradebook/+milestone/0.5.0 for
      details
  * Override setup.py to depend on python-schooltool (>= 1:1.2.0)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 05 Nov 2009 16:08:34 +0200

python-schooltool.gradebook (0.4.9-1) hardy; urgency=low

  * New upstream release

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 07 Jul 2009 11:23:47 -0400

python-schooltool.gradebook (0.4.8-2ubuntu1) hardy; urgency=low

  * Activate trigger manually from postinst, with --no-await option.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 28 May 2009 18:34:25 +0300

python-schooltool.gradebook (0.4.8-2) hardy; urgency=low

  * Activate update-schooltool trigger to restart the server.
  * Add copyright file and description.
  * Change maintainer to myself.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 26 May 2009 17:37:56 +0300

python-schooltool.gradebook (0.4.8-1) gutsy; urgency=low

  * New upstream release

 -- Brian Sutherland <builder@schooltool.org>  Tue, 12 May 2009 10:01:51 -0400

python-schooltool.gradebook (0.4.7-1) gutsy; urgency=low

  * New upstream release

 -- Brian Sutherland <builder@schooltool.org>  Wed, 29 Apr 2009 13:37:29 -0400

python-schooltool.gradebook (0.4.6-1) gutsy; urgency=low

  * New upstream release



=== debian/control ===
Source: schooltool.gradebook
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~),
 python-setuptools (>= 0.6b3), python-van.pydeb (>= 1.3.0-4)
Standards-Version: 3.9.1
X-Python-Version: >= 2.6

Package: python-schooltool.gradebook
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
         python-schooltool (>= 1:1.6.0~b1)
Provides: ${pydeb:Provides}
Suggests: ${pydeb:Suggests}
Description: Gradebook component for SchoolTool
 SchoolTool Gradebook includes a point-based gradebook for all teachers in the
 school, and a facility to aggregate grades and other assessments from each
 teacher to generate reports.
 .
 SchoolTool Gradebook is part of the standard distribution of SchoolTool.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test attendance

%:
	dh $@ --with pydeb --with python2

package=python-schooltool.gradebook

override_dh_install:
	dh_install -X.po

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: @, python-zope.testing, python-schooltool.lyceum.journal, python-zope.app.publication, python-zope.app.testing, python-zope.intid, python-zope.site, python-zope.testbrowser, python-zope.ucol

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/trunk/schooltool.gradebook-(\d.*)\.tar\.gz

## schooltool.gradebook 0.9.1

=== debian/changelog ===
schooltool.gradebook (0.9.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/rules: attendance extra was renamed to journal.
  * debian/control: add Homepage, python:Provides.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 04 Jul 2011 23:23:34 +0300

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~),
  python-setuptools (>= 0.6b3), python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 X-Python-Version: >= 2.6
+Homepage: https://launchpad.net/schooltool.gradebook
 
 Package: python-schooltool.gradebook
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
          python-schooltool (>= 1:1.6.0~b1)
-Provides: ${pydeb:Provides}
+Provides: ${pydeb:Provides}, ${python:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Gradebook component for SchoolTool
  SchoolTool Gradebook includes a point-based gradebook for all teachers in the

## schooltool.gradebook 0.9.2

=== debian/changelog ===
schooltool.gradebook (0.9.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/copyright: update after dep5 format changes.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 22 Sep 2011 19:56:44 +0300

=== debian/control ===
Source: schooltool.gradebook
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-van.pydeb (>= 1.3.0-4)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: https://launchpad.net/schooltool.gradebook

Package: python-schooltool.gradebook
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
         python-schooltool (>= 1:1.6.0~b1)
Provides: ${pydeb:Provides}
Suggests: ${pydeb:Suggests}
Description: Gradebook plugin for SchoolTool
 SchoolTool Gradebook includes a point-based gradebook for all teachers in the
 school, and a facility to aggregate grades and other assessments from each
 teacher to generate reports.
 .
 SchoolTool Gradebook is part of the standard distribution of SchoolTool.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test journal

%:
	dh $@ --with pydeb --with python2

override_dh_install:
	dh_install -X.po

## schooltool.gradebook 2.0.1

=== debian/changelog ===
schooltool.gradebook (2.0.1-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/rules: install upstream changelog.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 23 Dec 2011 20:42:57 +0200

schooltool.gradebook (2.0.0-0ubuntu2) precise; urgency=low

  * Upload to Precise.
  * debian/rules: Fix to not install *.po files.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 29 Nov 2011 20:56:56 +0200

schooltool.gradebook (2.0.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 22 Nov 2011 20:04:50 +0200

schooltool.gradebook (1.9.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/rules: specify buildsystem, latest release includes a Makefile.
  * debian/pydist-overrides: remove, we use van.pydeb.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 18 Nov 2011 04:43:45 +0200

schooltool.gradebook (1.9.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 03 Nov 2011 20:28:03 +0200

schooltool.gradebook (1.9.1-0ubuntu1) oneiric; urgency=low

  * New upstream release, "flourish beta".
    - Fully translatable.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 06 Oct 2011 21:44:53 +0300

schooltool.gradebook (1.9.0-0ubuntu1) oneiric; urgency=low

  * New upstream release, "flourish alpha".
  * debian/watch: switch to flourish series.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 22 Sep 2011 20:10:01 +0300

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test journal

%:
	dh $@ -Spython_distutils --with pydeb --with python2

override_dh_auto_build:
	rm -f src/schooltool/gradebook/locales/*.po
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

## schooltool.gradebook 2.0.2

=== debian/changelog ===
schooltool.gradebook (2.0.2-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 02 Feb 2012 21:01:15 +0200

## schooltool.gradebook 2.0.3

=== debian/changelog ===
schooltool.gradebook (2.0.3-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 16 Mar 2012 18:54:07 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.gradebook
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:1.6.0~b1)
+         python-schooltool (>= 1:1.9)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Gradebook plugin for SchoolTool

## schooltool.gradebook 2.1.0

=== debian/changelog ===
schooltool.gradebook (2.1.0-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 18 Apr 2012 20:48:24 +0300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: https://launchpad.net/schooltool.gradebook
 
 Package: python-schooltool.gradebook
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:1.9)
+         python-schooltool (>= 1:2.0.3)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Gradebook plugin for SchoolTool

## schooltool.gradebook 2.1.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/gradebook/locales
 TRANSLATIONS_ZCML=schooltool/gradebook/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/flourish
+DIST=/home/ftp/pub/schooltool/2.1
 PYTHON=python
 
 INSTANCE_TYPE=schooltool
@@ -80,14 +80,12 @@
 
 .PHONY: coverage
 coverage: build
-	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
 	rm -rf coverage
-	bin/test --at-level 2 -u --coverage=coverage
-	mv parts/test/coverage .
+	bin/test --at-level 2 -u --coverage=$(CURDIR)/coverage
 
 .PHONY: coverage-reports-html
-coverage-reports-html coverage/reports: coverage
-	test -d parts/test/coverage && ! test -d coverage && mv parts/test/coverage . || true
+coverage-reports-html coverage/reports: build
+	test -d coverage || $(MAKE) coverage
 	rm -rf coverage/reports
 	mkdir coverage/reports
 	bin/coverage coverage coverage/reports
@@ -95,14 +93,12 @@
 
 .PHONY: ftest-coverage
 ftest-coverage: build
-	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
 	rm -rf ftest-coverage
-	bin/test --at-level 2 -f --coverage=ftest-coverage
-	mv parts/test/ftest-coverage .
+	bin/test --at-level 2 -f --coverage=$(CURDIR)/ftest-coverage
 
 .PHONY: ftest-coverage-reports-html
-ftest-coverage-reports-html ftest-coverage/reports: ftest-coverage
-	test -d parts/test/ftest-coverage && ! test -d ftest-coverage && mv parts/test/ftest-coverage . || true
+ftest-coverage-reports-html ftest-coverage/reports: build
+	test -d ftest-coverage || $(MAKE) ftest-coverage
 	rm -rf ftest-coverage/reports
 	mkdir ftest-coverage/reports
 	bin/coverage ftest-coverage ftest-coverage/reports

=== debian/changelog ===
schooltool.gradebook (2.1.1-0ubuntu2) quantal; urgency=low

  * Upload to Quantal.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 03 Oct 2012 20:13:58 +0300

schooltool.gradebook (2.1.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.
  * debian/control: Change section to education.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 03 Oct 2012 20:10:04 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: schooltool.gradebook
-Section: python
+Section: education
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/2.1/schooltool.gradebook-(\d.*)\.tar\.gz

## schooltool.gradebook 2.3.0

=== debian/changelog ===
schooltool.gradebook (2.3.0-0ubuntu2) raring; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 30 Oct 2012 22:29:04 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.gradebook
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.0.3)
+         python-schooltool (>= 1:2.2)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Gradebook plugin for SchoolTool

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: @, python-zope.testrunner, python-schooltool.lyceum.journal, python-zope.app.publication, python-zope.app.testing, python-zope.intid, python-zope.site, python-zope.testbrowser, python-zope.ucol

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/flourish/schooltool.gradebook-(\d.*)\.tar\.gz

## schooltool.gradebook 2.3.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/gradebook/locales
 TRANSLATIONS_ZCML=schooltool/gradebook/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/2.1
+DIST=/home/ftp/pub/schooltool/flourish
 PYTHON=python
 
 INSTANCE_TYPE=schooltool

=== debian/changelog ===
schooltool.gradebook (2.3.1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 29 Nov 2012 17:18:01 +0200

## schooltool.gradebook 2.4~b1

=== debian/changelog ===
schooltool.gradebook (2.4~b1-0ubuntu1) raring; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 04 Apr 2013 20:06:36 +0300

schooltool.gradebook (2.4~a2-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 19 Feb 2013 00:18:28 +0200

schooltool.gradebook (2.4~a1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 08 Feb 2013 15:28:21 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb (>= 1.3.0-4)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Homepage: https://launchpad.net/schooltool.gradebook
 
 Package: python-schooltool.gradebook
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.2)
+         python-schooltool (>= 1:2.4~a1)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Gradebook plugin for SchoolTool

## schooltool.gradebook 2.4.0

=== Makefile ===
--- 
+++ 
@@ -21,12 +21,20 @@
 	virtualenv --no-site-packages -p $(PYTHON) python
 
 .PHONY: bootstrap
-bootstrap bin/buildout: python
+bootstrap bin/buildout: | buildout.cfg python
 	python/bin/python bootstrap.py
 
+buildout.cfg:
+	cp deploy.cfg buildout.cfg
+
 .PHONY: buildout
-buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg setup.py
+buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg deploy.cfg setup.py
 	bin/buildout $(BUILDOUT_FLAGS)
+
+.PHONY: develop
+develop bin/coverage: buildout.cfg develop.cfg
+	sed -e 's/base.cfg/develop.cfg/' -i buildout.cfg
+	$(MAKE) buildout
 
 .PHONY: update
 update:
@@ -42,7 +50,7 @@
 
 .PHONY: tags
 tags: build
-	bin/tags
+	bin/ctags
 
 .PHONY: clean
 clean:
@@ -57,6 +65,7 @@
 
 .PHONY: realclean
 realclean:
+	rm -f buildout.cfg
 	rm -rf eggs
 	rm -rf dist
 	rm -rf instance
@@ -84,7 +93,7 @@
 	bin/test --at-level 2 -u --coverage=$(CURDIR)/coverage
 
 .PHONY: coverage-reports-html
-coverage-reports-html coverage/reports: build
+coverage-reports-html coverage/reports: bin/coverage build
 	test -d coverage || $(MAKE) coverage
 	rm -rf coverage/reports
 	mkdir coverage/reports
@@ -97,7 +106,7 @@
 	bin/test --at-level 2 -f --coverage=$(CURDIR)/ftest-coverage
 
 .PHONY: ftest-coverage-reports-html
-ftest-coverage-reports-html ftest-coverage/reports: build
+ftest-coverage-reports-html ftest-coverage/reports: bin/coverage build
 	test -d ftest-coverage || $(MAKE) ftest-coverage
 	rm -rf ftest-coverage/reports
 	mkdir ftest-coverage/reports
@@ -131,9 +140,12 @@
 
 .PHONY: release
 release: compile-translations
+	-cp buildout.cfg buildout.cfg~dev~
+	cp deploy.cfg buildout.cfg
 	grep -qv 'dev' version.txt.in || echo -n `cat version.txt.in`-r`bzr revno` > version.txt
 	$(PYTHON) setup.py sdist
 	rm -f version.txt
+	-mv buildout.cfg~dev~ buildout.cfg
 
 .PHONY: move-release
 move-release: upload
@@ -141,7 +153,8 @@
 
 .PHONY: upload
 upload:
-	@VERSION=`cat version.txt.in` ;\
+	set -e ;\
+	VERSION=`cat version.txt.in` ;\
 	DIST=$(DIST) ;\
 	grep -qv 'dev' version.txt.in || VERSION=`cat version.txt.in`-r`bzr revno` ;\
 	grep -qv 'dev' version.txt.in || DIST=$(DIST)/dev ;\
@@ -157,7 +170,8 @@
 
 .PHONY: ubuntu-environment
 ubuntu-environment:
-	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
-	    python-all-dev python-virtualenv \
-	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev
+	sudo apt-get install build-essential gettext enscript \
+	    python-dev python-virtualenv \
+	    ttf-ubuntu-font-family ttf-liberation \
+	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev

=== debian/changelog ===
schooltool.gradebook (2.4.0-0ubuntu1) raring; urgency=low

  * New upstream release
    - Remove rwproperty dependency
  * debian/control: requires Python >= 2.6

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 18 Apr 2013 17:30:55 +0300

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python-setuptools,
-               python-van.pydeb (>= 1.3.0-4)
+               python-van.pydeb
 Standards-Version: 3.9.4
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Homepage: https://launchpad.net/schooltool.gradebook
 
 Package: python-schooltool.gradebook

=== debian/tests/control ===
Tests: all
Depends: @, python-zope.testrunner, python-schooltool.lyceum.journal, python-zope.app.publication, python-zope.app.testing, python-zope.intid, python-zope.site, python-zope.testbrowser, python-zope.ucol

## schooltool.gradebook 2.4.2

=== debian/changelog ===
schooltool.gradebook (2.4.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 01 Jul 2013 17:12:09 +0300

schooltool.gradebook (2.4.1-0ubuntu2) saucy; urgency=low

  * debian/control: Depends on schooltool (>= 2.4.1) for gradebook warning.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 30 May 2013 20:29:45 +0300

schooltool.gradebook (2.4.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Warn about unsaved changes when leaving gradebook (LP: #907999)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 30 May 2013 20:03:05 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.gradebook
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.4~a1)
+         python-schooltool (>= 1:2.4.1)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Gradebook plugin for SchoolTool

## schooltool.gradebook 2.5.0

=== debian/changelog ===
schooltool.gradebook (2.5.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: requires python-schooltool (>= 1:2.5~)
  * debian/watch: change series to trunk

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 01 Aug 2013 21:41:39 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.gradebook
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.4.1)
+         python-schooltool (>= 1:2.5~)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Gradebook plugin for SchoolTool

## schooltool.gradebook 2.5.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/gradebook/locales
 TRANSLATIONS_ZCML=schooltool/gradebook/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/flourish
+DIST=/home/ftp/pub/schooltool/trunk
 PYTHON=python
 
 INSTANCE_TYPE=schooltool
@@ -44,27 +44,76 @@
 instance: | build
 	bin/make-schooltool-instance instance instance_type=$(INSTANCE_TYPE)
 
+instance/run/supervisord.pid:
+	bin/supervisord
+
 .PHONY: run
-run: build instance
+run: build instance instance/run/supervisord.pid
+	@bin/supervisorctl start "services:*"
+	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
+	@bin/supervisorctl status
 	bin/start-schooltool-instance instance
+
+.PHONY: start
+start: build instance instance/run/supervisord.pid
+	bin/supervisorctl start all
+	@bin/supervisorctl status
+
+.PHONY: start-services
+start-services: build instance instance/run/supervisord.pid
+	@bin/supervisorctl status | grep services[:] | grep -v RUNNING && bin/supervisorctl start "services:*" || exit 0
+	@bin/supervisorctl status | grep services[:]
+
+.PHONY: restart
+restart: build instance instance/run/supervisord.pid
+	@bin/supervisorctl restart "services:celery_report"
+	@bin/supervisorctl start "services:*"
+	bin/supervisorctl restart schooltool
+	@bin/supervisorctl status
+
+.PHONY: rerun
+rerun: build instance instance/run/supervisord.pid
+	@bin/supervisorctl restart "services:celery_report"
+	@bin/supervisorctl start "services:*"
+	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
+	@bin/supervisorctl status
+	bin/start-schooltool-instance instance
+
+.PHONY: stop
+stop:
+	@test -S instance/run/supervisord.sock && bin/supervisorctl status | grep -v STOPPED && bin/supervisorctl stop all || exit 0
+	@test -S instance/run/supervisord.sock && bin/supervisorctl shutdown || echo Nothing to stop
+	@rm -f instance/run/zeo.sock
+	@rm -f instance/run/supervisord.sock
+	@rm -f instance/run/supervisord.pid
+
+.PHONY: status
+status:
+	@test -f instance/run/supervisord.pid && bin/supervisorctl status || echo All services shut down
 
 .PHONY: tags
 tags: build
 	bin/ctags
 
 .PHONY: clean
-clean:
+clean: stop
 	rm -rf python
 	rm -rf bin develop-eggs parts .installed.cfg
 	rm -rf build
 	rm -f ID TAGS tags
 	rm -rf coverage ftest-coverage
+	rm -rf instance/var/celerybeat-schedule
+	rm -rf instance/var/redis-dump.rdb
+	rm -rf instance/run/zeo.sock
+	rm -rf instance/run/supervisord.sock
+	rm -rf instance/run/supervisord.pid
+	rm -rf instance/var/Data.fs.lock
 	find . -name '*.py[co]' -delete
 	find . -name '*.mo' -delete
 	find . -name 'LC_MESSAGES' -exec rmdir -p --ignore-fail-on-non-empty {} +
 
 .PHONY: realclean
-realclean:
+realclean: stop
 	rm -f buildout.cfg
 	rm -rf eggs
 	rm -rf dist
@@ -162,8 +211,8 @@
 	    echo cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
 	    cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
 	else \
-	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
-	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
+	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* ftp.schooltool.org:$${DIST} ;\
+	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* ftp.schooltool.org:$${DIST} ;\
 	fi
 
 # Helpers
@@ -173,5 +222,6 @@
 	sudo apt-get install build-essential gettext enscript \
 	    python-dev python-virtualenv \
 	    ttf-ubuntu-font-family ttf-liberation \
-	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev
-
+	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev \
+	    redis-server
+

=== debian/changelog ===
schooltool.gradebook (2.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 02 Aug 2013 12:49:32 +0300

## schooltool.gradebook 2.5.2

=== debian/changelog ===
schooltool.gradebook (2.5.2-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 23 Aug 2013 12:50:27 +0300

## schooltool.gradebook 2.5.3

=== debian/changelog ===
schooltool.gradebook (2.5.3-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 13 Sep 2013 23:53:38 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.gradebook
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.5~)
+         python-schooltool (>= 1:2.5.3~)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Gradebook plugin for SchoolTool

## schooltool.gradebook 2.6.0

=== debian/changelog ===
schooltool.gradebook (2.6.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - New style reports
    - Name column split
    - Integration with journal that uses score systems
  * debian/control: requires python-schooltool (>= 1:2.6)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 10 Oct 2013 20:23:49 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.gradebook
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.5.3~)
+         python-schooltool (>= 1:2.6)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Gradebook plugin for SchoolTool

## schooltool.gradebook 2.6.1

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 INSTANCE_TYPE=schooltool
 BUILDOUT_FLAGS=
+REDIS_PORT:=$$(grep ^port instance/redis.conf | cut -d' ' -f 2)
 
 .PHONY: all
 all: build
@@ -52,7 +53,7 @@
 	@bin/supervisorctl start "services:*"
 	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
 	@bin/supervisorctl status
-	bin/start-schooltool-instance instance
+	REDIS_PORT=$(REDIS_PORT) bin/start-schooltool-instance instance
 
 .PHONY: start
 start: build instance instance/run/supervisord.pid
@@ -77,7 +78,7 @@
 	@bin/supervisorctl start "services:*"
 	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
 	@bin/supervisorctl status
-	bin/start-schooltool-instance instance
+	REDIS_PORT=$(REDIS_PORT) bin/start-schooltool-instance instance
 
 .PHONY: stop
 stop:

=== debian/changelog ===
schooltool.gradebook (2.6.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 21 Nov 2013 02:39:56 +0200

## schooltool.gradebook 2.6.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/gradebook/locales
 TRANSLATIONS_ZCML=schooltool/gradebook/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/trunk
+DIST=/home/ftp/pub/schooltool/2.6
 PYTHON=python
 
 INSTANCE_TYPE=schooltool

=== debian/changelog ===
schooltool.gradebook (2.6.3-0ubuntu1) trusty; urgency=low

  * New upstream release.
    - Switch to CKEditor (LP: #485898)

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 12 Apr 2014 02:02:28 +0300

schooltool.gradebook (2.6.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.
    - Removed attendance score systems from Average column's menu (LP: #1258939)

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 15 Feb 2014 02:05:25 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.gradebook
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.6)
+         python-schooltool (>= 1:2.6.3~)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: Gradebook plugin for SchoolTool

## schooltool.gradebook 2.6.4

=== debian/changelog ===
schooltool.gradebook (2.6.4-0ubuntu2) utopic; urgency=medium

  * Upload to utopic.
  * debian/control: Bump Standards-Version to 3.9.5

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 05 May 2014 23:35:47 +0300

schooltool.gradebook (2.6.4-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release.
    - Deploy hidden report sheets to new sections (LP: #1261992)
    - Fix report cards broken after deleting a term (LP: #1065381)
    - Sort terms by date in course/report worksheet views (LP: #1311818)
    - Fix deploying report sheet using a shortened template title (LP: #1290167)
    - Translate "Ave." string in student's gradebook (LP: #1307136)

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 05 May 2014 23:33:14 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: https://launchpad.net/schooltool.gradebook

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,12 @@
 %:
 	dh $@ -Spython_distutils --with pydeb --with python2
 
+locales=src/schooltool/gradebook/locales
+
 override_dh_auto_build:
-	rm -f src/schooltool/gradebook/locales/*.po
+	rm -f $(locales)/*.po
+	rm -f $(locales)/*.pot
+	rm -f $(locales)/__init__.py
 	dh_auto_build
 
 override_dh_installchangelogs:

=== debian/tests/control ===
Tests: all
Depends: @, python-zope.testrunner, python-schooltool.lyceum.journal, python-zc.datetimewidget, python-zope.app.publication, python-zope.app.testing, python-zope.intid, python-zope.site, python-zope.testbrowser, python-zope.ucol

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/2.6/schooltool.gradebook-(\d.*)\.tar\.gz
